﻿@model IEnumerable<MvcWebsiteOcc.Models.User>
@{
    ViewBag.Title = "Quản trị người dùng";
    ViewBag.Description = "nguoi dung";
    Layout = "~/Areas/administrators/Views/Shared/_adminOcc.cshtml";
}
@using (Html.BeginForm())
{
    <div class="row">
        <div class="col-lg-12 col-sm-12 col-xs-12">
            <div class="widget">
                <div class="widget-header header-large" style="display: block;">
                    <span class="widget-caption">@ViewBag.Title</span>
                    <div class="widget-buttons">
                        <a href="#" data-toggle="maximize">
                            <i class="fa fa-expand"></i>
                        </a>
                    </div>
                </div>
                <div class="widget-body">
                    <div class="table-toolbar">
                        <a href="/administrators/systems_manager/users_add" class="btn btn-blue"><i class="fa fa-plus"></i>Thêm mới</a>
                        <button type="button" class="btn btn-danger" data-toggle="modal" data-target="#modal-danger"><i class="fa fa-times"></i>Xóa</button>
                    </div>
                    <table class="table table-striped table-bordered table-hover" id="bang_7">
                        <thead>
                            <tr>
                                <th style="width: 25px;">
                                    <label class="checker">
                                        <input type="checkbox" class="group-checkable" data-set="#flip .checkboxes">
                                        <span class="text"></span>
                                    </label>
                                </th>
                                <th>Tên đăng nhập</th>
                                <th>Họ tên</th>
                                <th>Email</th>
                                <th>Ngày tạo</th>
                                <th>Nhóm quyền</th>
                                <th style="width: 25px;">Sửa</th>
                            </tr>
                        </thead>
                        <tbody>
                            @{IEnumerable<MvcWebsiteOcc.Models.Group> groups = ViewBag.Groups;
                              IEnumerable<MvcWebsiteOcc.Models.UserGroup> ugroups = ViewBag.UserGroups;
                              foreach (var item in Model)
                              {
                                  var ug = ugroups.FirstOrDefault(p => p.UserID.Equals(item.UserID));
                                <tr>
                                    <td>
                                        <label>
                                            <input type="checkbox" class="checkboxes" name="itemID" value="@item.UserID">
                                            <span class="text"></span>
                                        </label>
                                    </td>
                                    <td>@item.UserName</td>
                                    <td>@item.FullName</td>
                                    <td>@item.Email</td>
                                    <td>@item.CreateDate.ToString("dd/MM/yyyy hh:mm")</td>

                                    @{ if (ug != null)
                                       {
                                        <td>
                                            @groups.FirstOrDefault(p => p.GroupID.Equals(ug.GroupID)).GroupName
                                        </td>
                                       }
                                       else
                                       {
                                           <td>Chưa phân quyền</td>
                                       }
                                    }

                                    <td>
                                        <a href="/administrators/systems_manager/users_edit/@item.UserID" class="btn btn-info btn-sm edit"><i class="fa fa-edit"></i></a>
                                    </td>
                                </tr> 
                              }}
                        </tbody>
                    </table>

                </div>
            </div>
        </div>
    </div>

    <div class="modal fade modal-message modal-danger" id="modal-danger" aria-hidden="false" style="">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <i class="glyphicon glyphicon-fire"></i>
                </div>
                <div class="modal-title">
                    Thông báo
                </div>
                <div class="modal-body">
                    Bạn chắc chắn muốn xóa !
                </div>
                <div class="modal-footer">
                    <button data-dismiss="modal" type="button" class="btn btn-default" name="deleteOK" value="NO">No</button>
                    <button class="btn btn-danger " type="submit" name="deleteOK" value="OK">Ok</button>

                </div>
            </div>
        </div>
    </div>
}
@section PageScripts{
    <link href="/Static/admin/assets/css/dataTables.bootstrap.css" rel="stylesheet" />
    <script src="/Static/admin/assets/js/datatable/jquery.dataTables.min.js"></script>
    <script src="/Static/admin/assets/js/datatable/ZeroClipboard.js"></script>
    <script src="/Static/admin/assets/js/datatable/dataTables.tableTools.min.js"></script>
    <script src="/Static/admin/assets/js/datatable/dataTables.bootstrap.min.js"></script>
    <script src="/Static/admin/assets/js/datatable/datatables-init.js"></script>
    <script>
        bang7.init();
        $(document).ready(function () {
            $("#systems").addClass("active open");
            $("#users").addClass("active");
        });

    </script>

}
